package de.ivu.elect.business.personenpruefung.entity;

public enum PersonPruefungKonfigurationStatus {

  /*
   * ACHTUNG: Werte nicht umbenennen, da Anwendungen mit diesen Werten in der Datenbank sonst nicht deployen!
   */

  AKTIVIERT_DEFAULT {
    @Override
    public boolean isAktiv() {
      return true;
    }

    @Override
    public boolean isStandard() {
      return true;
    }
  },
  AKTIVIERT_CUSTOM {
    @Override
    public boolean isAktiv() {
      return true;
    }

    @Override
    public boolean isStandard() {
      return false;
    }
  },
  DEAKTIVIERT {
    @Override
    public boolean isAktiv() {
      return false;
    }

    @Override
    public boolean isStandard() {
      return true;
    }
  };

  public abstract boolean isAktiv();

  public abstract boolean isStandard();

}
